include:
  - project: "Gitlab/gitlab"
    ref: 0.3.0
    file: "/ci-templates/research/dvc-versioning-build-release.gitlab-ci.yml"

variables:
  NEXUS_PROJECT_DIR: red
  IMAGENAME: "${CI_PROJECT_NAME}"

#################################
# temp. disable integration tests, b/c they don't cover the CV analysis case yet
trigger integration tests:
  rules:
    - when: never

release build:
  stage: release
  needs:
  - job: set custom version
    artifacts: true
    optional: true
  - job: calculate patch version
    artifacts: true
    optional: true
  - job: calculate minor version
    artifacts: true
    optional: true
  - job: build docker nexus
    artifacts: true
#################################
